org.apache.ignite.internal.visor.cache

## Class VisorCacheRebalanceConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCacheRebalanceConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheRebalanceConfiguration
    extends VisorDataTransferObject

Data transfer object for cache rebalance configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheRebalanceConfiguration()` Default constructor.
`VisorCacheRebalanceConfiguration(CacheConfiguration ccfg)` Create data transfer object for rebalance configuration properties.

### Method Summary

Methods
`long` `getBatchesPrefetchCnt()`
`int` `getBatchSize()`
`CacheRebalanceMode` `getMode()`
`long` `getPartitionedDelay()`
`int` `getRebalanceOrder()`
`long` `getThrottle()`
`long` `getTimeout()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheRebalanceConfiguration

    public VisorCacheRebalanceConfiguration()

Default constructor.

#### VisorCacheRebalanceConfiguration

    public VisorCacheRebalanceConfiguration(CacheConfiguration ccfg)

Create data transfer object for rebalance configuration properties.

Parameters:
  `ccfg` - Cache configuration.

### Method Detail

#### getMode

    public CacheRebalanceMode getMode()

Returns:
  Cache rebalance mode.

#### getBatchSize

    public int getBatchSize()

Returns:
  Cache rebalance batch size.

#### getPartitionedDelay

    public long getPartitionedDelay()

Returns:
  Rebalance partitioned delay.

#### getThrottle

    public long getThrottle()

Returns:
  Time in milliseconds to wait between rebalance messages.

#### getTimeout

    public long getTimeout()

Returns:
  Rebalance timeout.

#### getBatchesPrefetchCnt

    public long getBatchesPrefetchCnt()

Returns:
  Batches count

#### getRebalanceOrder

    public int getRebalanceOrder()

Returns:
  Cache rebalance order.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017